%{?nodejs_find_provides_and_requires}

%global packagename event-emitter
%global enable_tests 0
# tests disabled due to missing npm(tad) test suite

Name:		nodejs-event-emitter
Version:	0.3.4
Release:	%mkrel 9
Summary:	Environment agnostic event emitter
Group:          Development/Other

License:	MIT
URL:		https://github.com/medikoo/event-emitter.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz


BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(d)
%if 0%{?enable_tests}
BuildRequires:	npm(tad)
%endif

%description
Environment agnostic event emitter


%prep
%setup -q -n package

%nodejs_fixdep d "<=2.0.0"
# allow either the 0.1.x or 1.x.x series of npm(d)



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} %{nodejs_sitelib}/tad/bin/tad
%else
echo "Tests are disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md CHANGES
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.3.4-9.mga10
+ Revision: 2209927
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 0.3.4-8.mga9
+ Revision: 1821362
- Mageia 9 Mass Rebuild

* Tue May 05 2020 joequant <joequant> 0.3.4-7.mga8
+ Revision: 1580665
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 0.3.4-6.mga8
+ Revision: 1492550
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Wed Sep 19 2018 umeabot <umeabot> 0.3.4-5.mga7
+ Revision: 1264970
- Mageia 7 Mass Rebuild

* Wed May 18 2016 neoclust <neoclust> 0.3.4-4.mga6
+ Revision: 1016774
- imported package nodejs-event-emitter

